MacMainIf.h File Reference
`#include <CoreServices/CoreServices.h>`

Go to the source code of this file.

## Macros

#define | MACMAINIF_H 1
#define | BEGIN_EXTERN_C
#define | END_EXTERN_C
#define | kEventClassPwlib 'PWLB'
#define | kEventPwlibPProcExit 0

## Typedefs

typedef long(* | callback_api_c) (void *)

## Functions

BEGIN_EXTERN_C long | MacInitialisePWLibEvents (void)
long | MacTeardownPWLibEvents (void)
int | SpawnProcessInContext (callback_api_c trampoline)
long | MacWaitForPProcess (Duration)

## Variables

MPQueueID | pwlibAppQueueID

## Macro Definition Documentation

## BEGIN_EXTERN_C

#define BEGIN_EXTERN_C

## END_EXTERN_C

#define END_EXTERN_C

## kEventClassPwlib

#define kEventClassPwlib 'PWLB'

## kEventPwlibPProcExit

#define kEventPwlibPProcExit 0

## MACMAINIF_H

#define MACMAINIF_H 1

## Typedef Documentation

## callback_api_c

typedef long(* callback_api_c) (void *)

## Function Documentation

## MacInitialisePWLibEvents()

BEGIN_EXTERN_C long MacInitialisePWLibEvents | ( | void |  | ) |

## MacTeardownPWLibEvents()

long MacTeardownPWLibEvents | ( | void |  | ) |

## MacWaitForPProcess()

long MacWaitForPProcess | ( | Duration |  | ) |

## SpawnProcessInContext()

int SpawnProcessInContext | ( | callback_api_c | trampoline | ) |

## Variable Documentation

## pwlibAppQueueID

MPQueueID pwlibAppQueueID